# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           xhotkeys
Version:        0.9.8.3
Release:        alt1_21
Summary:        Hotkeys for the X-Window
Summary(pl):    Skróty klawiszowe dla X-okien
Group:          Graphical desktop/Other
License:        GPLv2+
URL:            http://www.nongnu.org/xhotkeys/
Source0:        http://download.savannah.nongnu.org/releases/%{name}/%{name}_%{version}.tar.gz
Source1:        %{name}.desktop
Patch0:         install_locations.patch
BuildRequires:  desktop-file-utils python-module-xlib ImageMagick-tools
Requires:       icon-theme-hicolor python-module-xlib
BuildArch:      noarch
Source44: import.info

%description
Xhotkeys provides a simple and easily configurable hotkey launcher for
the X-Window System, binding keys and mouse buttons to configurable commands.
It should work on all desktops (Gnome, KDE, Xfce, ...) available for the
GNU/Linux operating system. Configuration files can be modified manually or
using a graphical GTK+ configurator.

%description -l pl
Xhotkeys udostępnia proste i łatwo do skonigurowania uruchamianie za pomocą
klawiatury dla systemu X-okien, skróty klawiszowe i przycisków myszki
do konfigurowanych komend. Aplikacja powinna działać ze wszystkimi graficznymi
środowiskami (Gnome, KDE, Xfce, ...) dostępnymi dla GNU/Linux systemów
operacyjnych. Konfiguracja plików jest możliwa ręcznie lub za pomocą
graficznego GTK+ konfiguratora.

%prep
%setup -q -n %{name}
%patch0

%build
#nothing to build

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

desktop-file-install                \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications         \
  %{SOURCE1}

%files
%doc README TODO COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/96x96/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm

%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.9.8.3-alt1_21
- update to new release by fcimport

* Thu Mar 08 2018 Igor Vlasenko <viy@altlinux.ru> 0.9.8.3-alt1_20
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.9.8.3-alt1_19
- update to new release by fcimport

* Mon Feb 05 2018 Igor Vlasenko <viy@altlinux.ru> 0.9.8.3-alt1_18
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.9.8.3-alt1_17
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.9.8.3-alt1_16
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.9.8.3-alt1_15
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.9.8.3-alt1_14
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.9.8.3-alt1_13
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.8.3-alt1_12
- update to new release by fcimport

* Mon Feb 11 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.8.3-alt1_11
- update to new release by fcimport

* Wed Jan 16 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.8.3-alt1_10
- initial fc import

